91-04/Force.Sensing.Resistors

If you're building VR input devices, you want to check this out:
Interlink Electronics sells a type of force sensor called a Force
Sensing Resistor (TM).  They were originally developed to build
velocity-sensitive synthesizer keyboards.

FSR's transduce force into resistance.  Without force, they read
out at 10 megohms.  With a very strong finger-press, they 
slide down to 2 kohms.  The response curve is not linear, but
is logarithmic instead.  This gives a response curve which is 
"subjectively linear".  

The basic one-dimensional pad model comes from 1/2 inch to 1-1/4 inch
squares and circles.  They also make a 4" linear model with separate
connectors for force and position on the line, and a 4" square model 
with three sets of connectors for X, Y, and force.

FSR's are peculiarly suited to computer-human interaction.  They look
like band-aids with electrodes sticking out.  You could build a guitar
fretboard with them and use finger pressure to bend the pitch.
Keytronics is using them in a laptop computer they're building: you
grab a stick on the keyboard and push it.  FSR's on all four sides
measure the force and the system software turns it into mouse-style
input.

The company literature includes a big book of basic circuits for
translating current, voltage, resistance, et al, so for the
electronics-impaired it should be pretty simple to build something
fun.  Four FSR's can be hooked directly to the IBM PC joystick port,
since it's designed to handle a variable resistance from 0 to 100kohm.
If you want to sample more, you could multiplex them with analog
multiplexor chips controlled from a parallel port.  But, the joystick
card is a very cheesy design and you should get a lab I/O card
instead.  You also want a lab I/O card if you use the 4" square pad
for a (very small) force-sensitive tablet, because you need a high
input sample rate that you won't get off a joystick card.

The address is:
                
        Interlink Electronics
        P.O. Box 40760
        Santa Barbara, CA  93103

        vox: 805-684-2100
        fax: 805-684-8282

When you ask for a literature kit, they throw in a small FSR free.
The little pads range from $3-$5, and the linear and square pads
are $45.  

Specs: 
Size range:     Max 20" x 30"
                Min .2" x .2"
thickness:      .008" to .050"
force:          30g to 10kg
pressure:       .45 psi to 150 psi              w 1cm2 actuator
part variance:  +- 15%
resolution:     0.5% of force
switch size:    zero travel
rise time:      1-2 milliseconds
lifetime:       10 million actuations
temp range:     -30 C to 170 C
max current:    1 ma/cm2 of force
vibration:      not sensitive
EMI:            not sensitive



