91-05/Tek3d.monitor

Here is a quick evaluation of the Tektronics SGS610 Stereoscopic
System.  Note that I do not give any warranty to the accuracy of this
info.

Basic Principle:

The idea is to flip rapidly between images created for the left and
right eye.  These images should be created by taking a snapshot of the
world and then translating ~6.5cm left (or right...arbitrary depending
on which eye you are rendering for) recentering the view frame (NOT
rotating the camera) and taking another snapshot.  These images are
then flashed on the screen synchronously with the flipping of a
shutter.  This shutter (in the Tektronics case) is a LCD screen which
fits over the computer screen.  The shutter switches between acting as
a right circularly polarized filter and a left circularly polarized
filter at rates of up to 120 Hz (60 Hz per eye).  The user wears
passive glass which are right and left circularly polarized over the
right and left eye respectively.  Note that
these glasses are passive and look like normal sunglasses.  Thus they
are light and non-electical with no tethers.  Provided the images are
in sync with the shutter and the appropriate image is displayed for
each case, the user should get the proper effect: the left image
only seen by the left eye and the right image only seen by the right
eye.  More information on circular polarized filter can be found in
most advanced physics textbooks dealing with light.

What's included (paraphrased from 1988 User Manual):

19" (610), 16" (410), or 12" (310) liquid crystal Stereoscopic
Modulator which is attached to the user-supplied monitor  

Stereoscopic Modulator Driver with AC power supply

Four pairs of viewing glasses

Modulator Interconnect Cable

Velcro Mounting strips  (used for attaching modulator to display)

User's Manual

What you do:

First you must have a graphics board which can switch images at least
as fast as 60 Hz (30 each eye).  In my case this is a Sun TAAC
accelerator in a Sun 4/360 (the images are ~500x500).  These boards
synch using the synch pulse sent to the monitor.  The modulator driver
also sits on this synch line so that it can keep the modulator in
synch.  The velcro strips are used to hold the modulator on the
computer screen.  You render the appropriate views as described above,
start the stereo mode on the graphics board, plug in the modulator
driver, put on your glasses, and suddenly you have 3D!  Note that
depth reversal may occur due to the right image being given to the
left eye, etc.  This can be fixed by flipping the depth reversal
switch on the modulator driver.  Also, the image will appear to follow
you.  This is due to the lack of motion parallax in the system.  While
you are moving, the same images are being presented to your eyes.
Thus, the objects seem to follow you.

More Info:

There are six different modes for giving synch pulses to the driver.
Control inputs are TTL levels; composite synch levles are >= .2V neg.
synch and (<5V p-p video and sync).
These are vector direct (from one input (BNC connector) : on = right,
off = left), vector latched (first true on input 1 latches right eye
on, first true on input 2 latches left eye on), vector gated (at true
edge of input 1, the data at input 2 will be used....if it is true
then right eye else left eye), raster frame direct (raster mode...on
true edge from input 1, the right eye is turned on, the right eye is
turned of and the left eye on at the appropriate interval
afterwards...delays for modulator switching and phosphor decays of
1.5ms or less are included), raster composite sync (hard to
explain...right thing for a Sun monitor model HM-4119-S-AA-O
however...again compensates for phosphor decay and switching), and
raster field direct (again hard to describe but compensates for
phosphor decay and switching).  We use raster composite sync.  There
are also options for termination or feed through of sync input and 30
or 60 Hz rates.  We use the 30 Hz rate without termination or
feedthrough (last two did not effect performance).

Interesting Manufacturer's Specs (again from 1988 User's Manual):

Warmup time   60 sec MAX  (ours about 10-20 secs)

Right eye turn-on time   0.35 mS MAX (switching from left to right)

Left eye turn-on time     3.2 mS MAX  (switching from right to left)

Average light transmission    12%  (?????  seemed much better than
that)

Ave extinction ration (on image/off image)

left			red      	14/1		14/1
			green		9/1		10/1
			blue		5/1		8/1

right			red 		20/1		20/1
			green		15/1		15/1
			blue		10/1		10/1

The display used needs to have fast phosphors (~1.5 msec for decay)
for this system to work well.


Equipment Used:

This is primarily a rehash, but:

Sun 4/360 with TAAC graphics accelerator board
Sun monitor HM-4119-S-AA-O
Tektronics SGS 610 19" Sterescopic 3D Display Kit, 120/60Hz (running
in 60Hz mode)

Software Environment:  ThingWorld 3D Modeling System (A.
Pentland and a host of others in the Vision & Modeling Group, MIT
Media Lab).  Runs primarily under X.

Evaluation:

The binocular disparity provided by this system causes a rather
striking depth effect (as exclaimed by several viewers).  Unfortunately, this effect was limited to when only red objects were presented (white and green objects were also tried, a black background was used in all cases).  Otherwise, ghosting was prevalent. Ghosting is when the image from one view persists on the screen while the other eye is being addressed.  The advantage of red objects is
probably due to the good extinction ratio of red as opposed to green
and blue as shown in the manufacturer's specs.  There are several ways
to address this issue.  The first is to get a display with faster
phosphor decay.  It is possible that the display used has a decay rate
of > 1.5msec.  Another solution may be to increase the frame rate.  If
the manufacturer's specs are correct, this should reduce the effect
somewhat.  Unfortunately, our graphics board is not set up for the
higher speed.  Another solution may be to adjust the timing of the
presentation of the views.  However, this may be difficult depending
if internal adjustments can be made to the modulator driver or the
accelerator board.  Another drawback was the flicker observed in our 
system.  Again, the higher frame rate could be used to reduce this
effect.  There are several major advantages that have been noticed with
this system.  They are:

1) Portability of the stereoscopic system to other displays and
systems (as long as the graphics and sync requirements are met).

2) Passive glasses.  This is a major advantage. 

	a)  There are no tethers to the system.  The glasses feel and
	look (unless viewed through another pair) like normal sunglasses.  

	b)  Multiple users can view a screen at once (although
	they will get different effects from not all being at the
	optimal viewing distance).

	c)  The user can tilt his head in any direction and still
	receive left and right views due to the	circular polarization
	method.  

3) Lack of mechanical parts (except for the LCD crystals)

I can think of one other inherit disadvantage besides the ones already
given.  This is the interference the modulator can generate.  When
using the system with 2 Polhemi, strong interference occured.
However, this was rectified by simply moving the Polhemi sources
farther from the modulator.  

In the next few weeks I will be experimenting more with this system.
One of my goals is to reduce ghosting.  If anyone is
interested in the results or clarification of the above, I can be
reached at testarne@media-lab.media.mit.edu much quicker than the
athena account.  Also, my S.B. thesis (for which this equipment was used)
gives a brief overview of the various stereoscopic and 3D imaging methods
available from the Wheatstone stereoscope through holography if anyone is interested.   

Standard Disclaimers:

Note that I do not work for Tektronics and do not give any warranty
for my information.  Also, while I am affiliated with the Vision &
Modeling Group, MIT Media Lab, my opinions and ideas do not
necessarily reflect those of the group or lab.


					Thad Starner

